
Infrastructure - Bug #2495

Review/correct Metacat's use of ChecksumUtil

2012-03-15 21:10 - Ben Leinfelder

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

History

#1 - 2012-03-15 21:11 - Ben Leinfelder

- Category set to Metacat

- Assignee set to Ben Leinfelder

There is concern that inputstreams are being truncated by ChecksumUtil and/or resetting the inputstream in a way that corrupts the content.

Need to verify that this is the case. May also be an issue particular to EML parsing -TBD

#2 - 2012-03-26 17:02 - Ben Leinfelder

- Status changed from New to Closed

Does not appear to be an issue now. Other bugs were resolved surrounding  this, and it seems to have been fixed as part of that. I don't believe

ChecksumUtil is corrupting content at this point.
